package com.lovre.refs.biblo.utils;

import java.awt.Color;
import java.awt.Font;

public class Globals {
	
	public static long TIC = System.currentTimeMillis();
	
	public static final int SLEEP_MILLIS = 1000;
	
	public static final int DELAY_MILLIS = 1000;
	
	
	
	public static Thread AUTOMATIC = null;
	
	public static Thread CHANGING = null;
	
	static {
		Runtime.getRuntime().addShutdownHook(new Thread() {
		    public void run() { 
		    	AUTOMATIC = null; 
		    	CHANGING = null;
		    }
		});
	}
	
	

	public static final Font BASIC_FONT = new Font("Lucida Grande", Font.PLAIN, 11);
	
	public static final Font TITLE_FONT = new Font("Lucida Grande", Font.BOLD, 11);
	
	public static final Font COMMENT_FONT = new Font("Lucida Grande", Font.PLAIN, 9);
	
	
	
	public static final Color THEME_COLOR = Color.BLACK;
	
	public static final Color BACKGROUND_COLOR = Color.WHITE;
	
	public static final Color FOCUSED_TOOLBAR_COLOR = new Color(64, 64, 64);

	public static final Color UNFOCUSED_TOOLBAR_COLOR = new Color(135, 135, 135);
	
}
